> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateEmployeeAsBusinessUser

> 
The `updateEmployeeAsBusinessUser` API adds an existing employee as a Business User of the company.

### What it does:

- Converts existing employees into Business Users with administrative roles
- Assigns roles like Payroll Admin, Controller, or Beneficial Owner to employees

### Note:

- Requires ownership percentage specification for Beneficial Owner role



## OpenAPI

````yaml put /adminPortal/updateEmployeeAsBusinessUser
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateEmployeeAsBusinessUser:
    put:
      tags: []
      summary: updateEmployeeAsBusinessUser
      description: >-

        The `updateEmployeeAsBusinessUser` API adds an existing employee as a
        Business User of the company.


        ### What it does:


        - Converts existing employees into Business Users with administrative
        roles

        - Assigns roles like Payroll Admin, Controller, or Beneficial Owner to
        employees


        ### Note:


        - Requires ownership percentage specification for Beneficial Owner role
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateEmployeeAsBusinessUser
                  example: updateEmployeeAsBusinessUser
                user:
                  type: object
                  properties:
                    userId:
                      type: string
                      format: uuid
                    payrollAdmin:
                      type: boolean
                    bookKeeper:
                      type: boolean
                    beneficialOwner:
                      type: boolean
                    ownershipPercentage:
                      type: integer
                      title: Need to be mentioned when isBeneficialOwner is True
                  required:
                    - userId
                    - payrollAdmin
                    - bookKeeper
                    - beneficialOwner
              required:
                - method
                - user
            example:
              method: updateEmployeeAsBusinessUser
              user:
                userId: 8155F978-4A06-4BC7-937E-3AF761FC5F32
                payrollAdmin: true
                bookKeeper: true
                beneficialOwner: true
                ownershipPercentage: 30
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                      - message
                required:
                  - user
              example:
                user:
                  userId: 5A2390E1-0F83-46BD-AE1C-81B30FE364E1
                  status: Ready
                  message: The details of user William Henry were successfully updated.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid UserId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````